import { View, Image, Form, Input, Picker } from "@tarojs/components"
import Taro, { useDidShow } from "@tarojs/taro"
import { useEffect, useState } from "react"
import CustomNav from '@/components/CustomNav'
import ButtontWX from '@/components/ButtontWX'
import withLayout from '@/layouts'
import { useModel } from "@/store"
import addresss from '@/assets/mineImgaes/addresss.png'//地址
import timeImage from '@/assets/icons/comm/timeImage.png'//日期图片
import formatTimes from "@/utils/codeSegment"


import { generateOrder } from "@/services/order"
// import BottomMoadl from '@/components/BottomMoadl/index'
import { getMachineryInfo } from "@/services/homes"



import './style.less'

//为了调试，删除了withLayout 记得加上 如果我忘记的话

export default withLayout((props) => {
  //底部弹窗
  // const [showFrame, setShowFrame] = useState(false)
  // const setRecommend = () => {
  //   setShowFrame(!showFrame)
  // }

  const $instance = Taro.getCurrentInstance()
  const { id, location } = $instance.router.params
  const { sserLocation, userOrderAddress } = useModel('userData')

  const [timeSel, setTimeSel] = useState('')
  const [carsInfo, setCarsInfo] = useState({})
  const [userAddres, setUserAddres] = useState('')//在store拿到位置



  useDidShow(() => {

    if (userOrderAddress) {
      setUserAddres(userOrderAddress)

    }
  }, [userOrderAddress])

  const formSubmit = (e) => {
    const currentTime = formatTimes(new Date(), 'yyyy-MM-dd')
    const newTime = formatTimes(timeSel, 'yyyy-MM-dd')

    if (currentTime <= newTime) {
      // const { amount, appontmentDate, address } = e?.detail?.value
      const amount = e?.detail?.value?.amount
      const appontmentDate = e?.detail?.value?.appontmentDate
      const address = e?.detail?.value?.address

      // debugger

      console.log('formSubmit', e?.detail);
      if (e?.detail?.value?.amount && e?.detail?.value?.appontmentDate && e?.detail?.value?.address) {
        generateOrder({
          charges: carsInfo?.price * amount,
          price: carsInfo?.price,
          amount: amount || '',
          machineryId: carsInfo?.machineryId,
          machineryName: carsInfo?.name,
          machineryType: carsInfo?.typeId,
          typeName: carsInfo?.typeName,
          address: address || '',
          orgId: carsInfo?.orgId,
          appointmentDate: `${appontmentDate} 08:00:00` || '',
          // appointmentDate: '2022-03-25 08:00:00',
        }).then((es) => {
          Taro.showToast({
            title: '农机预约成功',
            icon: 'success',
            duration: 2000
          }).then(() => {
            Taro.redirectTo({ url: `/pages/OrderInfo/index?orderId=${es.orderId}&stateType=待付款` })
          })
        })
      } else {
        Taro.showToast({
          title: '请填写完整信息',
          icon: 'error',
          duration: 2000
        })
      }


    } else {
      Taro.showToast({
        title: '日期有误！',
        icon: 'error',
        duration: 2000
      })
      return;
    }

    // Taro.navigateTo({ url: `/pages/OrderInfo/index?goOrder=${id}` })
  }
  useEffect(() => {
    if (id) {
      getMachineryInfo(id, { location: location, attached: true }).then((e) => {
        setCarsInfo(e)
        console.log('e', e);
      })
    }
  }, [id, sserLocation])
  const onTimeChange = (e) => {
    console.log('时间选择器', e);
    // 获取当前时间 

    setTimeSel(e?.detail?.value)

  }
  const cancelPay = () => {
    Taro.navigateBack({
      delta: 1
    })
  }


  const goAddress = () => {
    Taro.navigateTo({ url: `/pages/MyAddressList/index?type=orderAddress` })
  }


  return (
    <View className='page-index'>
      <View className='index-navbar'>
        <CustomNav title='订单确认' />
      </View>
      {/* <BottomMoadl frameTitle='支付方式' flag={showFrame} onRecommend={setRecommend} /> */}
      <View className='pagesBox'>
        <Form onSubmit={formSubmit} >
          <View className='example-body-WorkingArea'>
            <View>作业面积/公顷</View>
            <Input name='amount' type='number' maxlength={6} className='aTextareaCentent' placeholder='请输入地址信息' />
          </View>
          <View className='example-body-WorkingTime'>
            <View>作业时间：</View>
            <View className='example-body-WorkingTime-TimePicker'>
              <Image src={timeImage} />
              {/* <mp-pickerTime tips='请选择时间' isChinese={1} onChange={myevent} /> */}

              <Picker mode='date' name='appontmentDate' onChange={onTimeChange}>
                <View className='picker' >
                  {timeSel || '请选择日期'}
                </View>
              </Picker>
            </View>

          </View>
          <View className='example-body-WorkingLocation'>
            <View>作业位置：</View>
            <View className='example-body-WorkingLocation-info' onClick={goAddress}>
              <Image src={addresss} />
              <Input name='address' disabled className='aTextareaCentent' value={userAddres} placeholder={userAddres == '' ? '请输入地址信息' : ''} />

            </View>
          </View>
          <View className='BottomtBut-box'>
            <ButtontWX formType='submit' butText='确定' butWidth={315} butHeight={49} butFontSize={16} butBorderRadius={49} />
            <ButtontWX onClick={cancelPay} styleType butText='取消' butWidth={315} butHeight={49} butFontSize={16} butBorderRadius={49} />
          </View>
        </Form>
      </View>

    </View>
  )
})
