

import request from '@/utils/request'



/**
 * 订单列表
 * @param {*} data 
 * @returns 
 */
export const getOrder = (data) => request(`/order`, { data, method: 'GET' })

/**
 * 生成订单
 * @param {*} data 
 * @returns 
 */
export const generateOrder = (data) => request(`/order`, { data, method: 'POST' })
/**
* 订单详情
* @param {*} data 
* @returns 
*/
export const orderInfo = (id, data) => request(`/order/${id}`, { data, method: 'GET' })
/**
 * 删除订单
 * @param {*} data 
 * @returns 
 */
export const orderDelete = (id, data) => request(`/order/${id}`, { data, method: 'DELETE' })


/**
 * 评价订单
 * @param {*} data 
 * @returns 
 */
export const orderEvaluation = (data) => request(`/evaluation`, { data, method: 'POST' })




/**
 * --------------订单支付-----------------
 * @param {*} data 
 * @returns 
 */
export const orderPrepay = (id, data) => request(`/order/${id}/prepay`, { data, method: 'POST' })



/**
 * --------------订单退款-----------------
 * @param {*} data 
 * @returns 
 */
export const orderRefund = (id, data) => request(`/order/${id}/refund`, { data, method: 'PUT' })


